namespace Tiobon.Core.Api.Controllers;

/// <summary>
/// 人力需求维护明细(Controller)
/// </summary>
[Route("api/[controller]")]
[ApiController, GlobalActionFilter]
[Authorize(Permissions.Name), ApiExplorerSettings(GroupName = Grouping.GroupName_Ghrh)]
public class Ghrh_HumanRequestDetailController : BaseController<IGhrh_HumanRequestDetailServices, Ghrh_HumanRequestDetail, Ghrh_HumanRequestDetailDto, InsertGhrh_HumanRequestDetailInput, EditGhrh_HumanRequestDetailInput>
{
    public Ghrh_HumanRequestDetailController(IGhrh_HumanRequestDetailServices service) : base(service)
    {
    }
}